Subject: Re: [PATCH V8 03/10] powerpc, perf: Re organize BHRB processing

From: Daniel Axtens <[email-masked]>
Date: Thu, 11 Jun 2015 13:32:22 +1000

> >> +
> >>  /* Processing BHRB entries */
> >>  static void power_pmu_bhrb_read(struct cpu_hw_events *cpuhw)
> >>  {
> >> -	u64 val;
> >> -	u64 addr;
> >> +	u64 val, addr, tmp;
> > Please don't use 'tmp' here. As far as I can tell, you use this variable
> > to compute the 'to' address. The name should reflect that.
> 
> Agreed but then it will be a new preparatory patch at the beginning
> of this patch series.
> 
I don't think I understand what you're saying here. Why do you need a
new patch? As I understand it, you've introduced 'tmp' in this patch;
couldn't you just rename it to, for example, to_addr, instead of tmp in
this patch?
-- 
Regards,
Daniel